//
//
// week7.c
//
// Playing around
//
// Eyal Perry
// 10/20/19
//
// (c) Massachusetts Institute of Technology 2010
// This work may be reproduced, modified, distributed,
// performed, and displayed for any purpose. Copyright is
// retained and must be preserved. The work is provided
// as is; no warranty is provided, and users accept all
// liability.
//

#include <avr/io.h>

#define LED (1 << PA3)
#define BUTTON (1 << PA2)

int main(void) {
  // set LED as output
  DDRA |= LED;
  // set button as input
  DDRA &= ~BUTTON;
  // pull LED and button to high
  PORTA |= LED;
  PORTA |= BUTTON;
  //
  // main loop
  //
  while (1) {
    if (PINA & BUTTON) {
      PORTA &= ~LED;
    } else {
      PORTA |= LED;
    }
  }
}
